{
        "name" : "GoogleDownloadFromDrive",
        "displayName" : "GoogleDownloadFromDrive",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.drive.MediaDownloadWorkitemHandler(\"appName\", \"clentSecret\")",
        "documentation" : "google-drive-workitem/index.html",
        "module" : "google-drive-workitem",
        "icon" : "GoogleDownloadFromDrive.png",
            "category" : "Google Drive",
            "description" : "Upload and download media to/from Google Drive",
            "keywords" : [
                                "google"
                ,"drive"
                ,"media"
                ,"download"

            ],
                "isaction" : "true",
                "actiontitle" : "Download media from Google Drive",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google app name"
                                           }
                    ,{
                                               "name" : "Google client secret"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/drive/api/v3/about-auth",
            "parameters" : [
                                   {
                                       "name" : "DocumentPath",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "Document",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-drive-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GoogleUploadToDrive",
        "displayName" : "GoogleUploadToDrive",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.drive.MediaUploadWorkitemHandler(\"appName\", \"clentSecret\")",
        "documentation" : "google-drive-workitem/index.html",
        "module" : "google-drive-workitem",
        "icon" : "GoogleUploadToDrive.png",
            "category" : "Google Drive",
            "description" : "Upload and download media to/from Google Drive",
            "keywords" : [
                                "google"
                ,"drive"
                ,"media"
                ,"upload"

            ],
                "isaction" : "true",
                "actiontitle" : "Upload media to Google Drive",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google app name"
                                           }
                    ,{
                                               "name" : "Google client secret"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/drive/api/v3/about-auth",
            "parameters" : [
                                   {
                                       "name" : "UploadPath",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "DocMimeType",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "DocToUpload",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-drive-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
